@use '~@angular/material' as mat;

@import 'src/app/styles/wizard-stepper';
@import 'src/theme.scss';


button.widebutton {
  width: 80%;
}

mat-form-field {
  width: 100%;
  * {
    width: 100%;
  }
}

.metadata-overview {
  mat-icon {
    padding-right: 1rem;
  }
  p {
    margin: 0;
    line-height: 1.5rem;
  }
}

.mat-drawer-container {
  background-color: white;
}

iframe#viewer-frame {
  height: 80vh;
  width: 100%;
}

.wizard-step-buttons {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 1rem;

  padding: 1rem 1rem 0 1rem;

  &.single {
    grid-template-columns: 1fr;
  }
}

.external-file-input {
  p {
    margin-bottom: 0.5rem;
  }
}

.row {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

#container {
  --max-width: 50rem;
  max-width: var(--max-width);
  transition: width 500ms ease, max-width 500ms ease;
}

.metadata-container {
  min-height: 400px;
}


.metadata-nav {
  width: 200px;
}

mat-action-list .mat-list-item {
  color : white;
}

.mat-action-list .mat-focus-indicator:focus {
  // background-color: white;
}

.close-dialog-button{
  position: absolute;
}

.mat-list-base .metaActive {
  //color: mat.get-color-from-palette($kompakkt-accent);

  background: rgba(0, 0, 0, 0.04);
}

.mat-list-base .mat-list-item {
  font-size: 14px;
}

.sidenav-link {
    margin-right: 5px;
}

.mat-option {
  font-size: 12px;
  line-height: 32px;
  height: 32px;
}

.mat-checkbox + .mat-flat-button {
  margin-top: 2em;
}


.mat-dialog-container{
  height: 95vh;
  overflow: unset;
}

.error {
  color: mat.get-color-from-palette($kompakkt-accent);
}

mat-spinner + span {
  display: inline-block;
}

mat-spinner {
  display: inline-block;
  margin-right: 10px;
}